import request from '@/utils/request'

// 查询答题记录详情列表
export function listTestPaperRecordDetail(query) {
  return request({
    url: '/school-paper/testPaperRecordDetail/list',
    method: 'get',
    params: query
  })
}

// 查询答题记录详情详细
export function getTestPaperRecordDetail(id) {
  return request({
    url: '/school-paper/testPaperRecordDetail/' + id,
    method: 'get'
  })
}

// 新增答题记录详情
export function addTestPaperRecordDetail(data) {
  return request({
    url: '/school-paper/testPaperRecordDetail',
    method: 'post',
    data: data
  })
}

// 修改答题记录详情
export function updateTestPaperRecordDetail(data) {
  return request({
    url: '/school-paper/testPaperRecordDetail',
    method: 'put',
    data: data
  })
}

// 删除答题记录详情
export function delTestPaperRecordDetail(id) {
  return request({
    url: '/school-paper/testPaperRecordDetail/' + id,
    method: 'delete'
  })
}
